class CommandInterface;
#ifndef _COMMANDINTERFACE_H
#define _COMMANDINTERFACE_H

#include "coreinterface.h"

#include <QString>

class CommandInterface
{
public:
	virtual void go(QString to, QString from, bool pm, QString params) = 0;
	virtual QString description(){ return "No description"; };
	virtual QStringList syntax(){ return QStringList(); };
	virtual QStringList helpText(){ return (QStringList() << "No help for this command.");};
};

#endif
