#include "../admincommands.h"

namespace AdminCommands
{
	die::die(CoreInterface* core)
	{
		_core = core;
	}

	QString die::description()
	{
		return "Makes the bot leave IRC";
	}
	
	QStringList die::syntax()
	{
		return QStringList("");
	};
	
	QStringList die::helpText()
	{
		return QStringList("Tells the bot to leave IRC.");
	};
	
	void die::go(QString to, QString from, bool pm, QString params)
	{
		_core->sendRaw("QUIT: Bye!");
	}
};
