#ifndef _ALIASES_H
#define _ALIASES_H

#include "../../include/coreinterface.h"
#include "../../include/plugininterface.h"

#include "aliasescommands.h"

class Aliases : public PluginInterface
{
public:
	Aliases(CoreInterface* core);
	virtual QString title();
	virtual QString description();
	virtual QStringList helpText();
private:
	CoreInterface* _core;
	QHash<QString,QString> _aliases;
};

#endif
