#include "Help.h"

extern "C" PluginInterface* getObject(CoreInterface *core)
{
  return (PluginInterface*) new Help(core);
}

Help::Help(CoreInterface* core)
{
	_core = core;
	_core->registerCommand(this, "Help", new HelpCommands::help(_core));
	_core->registerCommand(this, "About", new HelpCommands::about(_core));
};

QStringList Help::helpText()
{
	QStringList output;
		output << "The help plugin can be used to retrieve help on commands in MKbot. The help plugin depends on help text included in the plugins and commands.";
	return output;
}
