#include "../helpcommands.h"
#include "../../../version.h"

namespace HelpCommands
{
	about::about(CoreInterface* core)
	{
		_core = core;
	}

	QString about::description()
	{
		return "Information about MKbot";
	}

	void about::go(QString to, QString from, bool pm, QString params)
	{
		if ( ! pm ) _core->reply(to, from, pm, QString("%1: Sending in private message").arg(from));
		QStringList output;
		output
			<< QString("MKbot Version %1, %2").arg(MKBOT_VERSION).arg(MKBOT_COPYRIGHT)
			<< "Licensed under the GNU General Public License, version 2"
			<< "----"
			<< "MKbot is a modular IRC bot written in C++ using the Qt 4 libraries."
			<< "MKbot is composed of a small core, which passes messages between several dynamically loadable plugins and the IRC server, and several plugins."
			<< "For more information, please see http://fredemmott.co.uk/mkbot.asp"
			<< "----";
		foreach(QString line, output)
			_core->sendMessage(from, line);
	}
};
