#include "../pluginloadercommands.h"

namespace PluginLoaderCommands
{
	reload::reload(CoreInterface* core)
	{
		_core = core;
	}
	
	QString reload::description()
	{
		return "Reloads a plugin";
	}
	
	QStringList reload::syntax()
	{
		return QStringList("<plugin>");
	}
	
	QStringList reload::helpText()
	{
		return QStringList("This command will unload then reload the specified plugin.");
	}
	
	void reload::go(QString to, QString from, bool pm, QString params)
	{
		CHECK_PLUGIN;
		if ( !_core->reloadPlugin(params) ) handleError("reload", params);
		else handleSuccess("reload", params);
	}
};
