#include "../securitycommands.h"

namespace SecurityCommands
{
	_userQuit::_userQuit(CoreInterface* core, QStringList* authedNicks)
	{
		_core = core;
		_authedNicks = authedNicks;
	}
	
	void _userQuit::go(QString to, QString from, bool pm, QString params)
	{
		if ( _authedNicks->contains(params.toLower()) )
			_authedNicks->removeAt(_authedNicks->indexOf(params.toLower()));
	}
};
