#include "../securitycommands.h"

namespace SecurityCommands
{
	auth::auth(CoreInterface* core)
	{
		_core = core;
	}
	
	QString auth::description()
	{
		return "Identifies a user to the bot";
	}
	
	QStringList auth::syntax()
	{
		return QStringList("");
	}
	
	QStringList auth::helpText()
	{
		return QStringList("Instructs the bot to validate your identity via NickServ");
	}
	
	void auth::go(QString to, QString from, bool pm, QString params)
	{
		QRegExp nickParser("^([^!]+)!.+$");
		from.replace(nickParser, "\1");
		_core->sendRaw(QString("WHOIS %1").arg(from));
		_core->reply(to, from, pm, "Attempting to authenticate you. If nothing happens, please identify yourself to NickServ and try again.");
		return;
	}
};
