#ifndef _SECURITY_H
#define _SECURITY_H

#include "../../include/commandinterface.h"
#include "../../include/coreinterface.h"
#include "../../include/securityinterface.h"

#include "securitycommands.h"


class Security : public SecurityInterface
{
public:
	Security(CoreInterface* core);
	virtual QString title();
	virtual QString description();
	virtual QStringList helpText();
	
	virtual bool commandOk(QString plugin, QString command, QString from);
	virtual bool isAuthed(QString nick);
private:
	void loadRules();
	QList<QStringList>* _rulesTable;
	CoreInterface* _core;
	QStringList _authedNicks;
};
#endif
