#ifndef _TELLS_H
#define _TELLS_H

#include "../../include/coreinterface.h"
#include "../../include/plugininterface.h"

#include "tellscommands.h"

using TellsCommands::tellInfo;

class Tells : public PluginInterface
{
public:
	Tells(CoreInterface* core);
	virtual QString title();
	virtual QString description();
	virtual QStringList helpText();
private:
	CoreInterface* _core;
	QList<tellInfo> _tells;
	QStringList _notifiedNicks; // unauthed nicks who have been notified that they have tells
};

#endif
