#include "../freenodecommands.h"

namespace FreenodeCommands
{
	_raw::_raw(CoreInterface* core, bool* sentPing, unsigned int* queueLength, QStringList* queue)
	{
		_core = core;
		_sentPing = sentPing;
		_queueLength = queueLength;
		_queue = queue;
	}
	
	 void _raw::go(QString to, QString from, bool pm, QString params)
	{
	  if ( QRegExp("^:[^ ]+ PONG [^ ]+ :done$").exactMatch(params) )
	  {
	    *_sentPing = false;
	    // Queue emptying time
	    *_queueLength = 0;
	    foreach(QString line, *_queue)
	    {
	      _core->sendRaw(line);
	      _queue->removeAt(0);
	    }
	  }
	}
};
