#ifndef _FREENODE_H_
#define _FREENODE_H

#include "../../include/coreinterface.h"
#include "../../include/plugininterface.h"

#include "freenodecommands.h"

class Freenode : public PluginInterface
{
public:
	Freenode(CoreInterface* core);
	virtual QString title();
	virtual QString description();
	virtual QStringList helpText();

	virtual bool isFilter(){return true;}
	virtual QString filterOutput(QString output);
private:
	unsigned int _queueLength;
	CoreInterface* _core;
	QStringList _queue;
	bool _sentPing;
};

#endif
