#include "../../include/commandinterface.h"
#include "../../include/coreinterface.h"

#include <QRegExp>
#include <QString>
#include <QStringList>

namespace FreenodeCommands
{
	class _raw : public CommandInterface
	{
	private:
		bool* _sentPing;
		unsigned int*_queueLength;
		QStringList* _queue;
		CoreInterface *_core;
	public:
		_raw(CoreInterface* core, bool* sentPing, unsigned int* queueLength, QStringList* queue);
		virtual void go(QString to, QString from, bool pm, QString params);
	};
};
