#ifndef _HELP_H_
#define _HELP_H

#include "../../include/coreinterface.h"
#include "../../include/plugininterface.h"

#include "helpcommands.h"

class Help : public PluginInterface
{
public:
	Help(CoreInterface* core);
	virtual QString title() { return "Help"; }
	virtual QString description() { return "Provides the internal help system"; }
	virtual QStringList helpText();
private:
	CoreInterface* _core;
};

#endif
