#ifndef _HELPCOMMANDS_H
#define _HELPCOMMANDS_H
#include "../../include/commandinterface.h"
#include "../../include/coreinterface.h"
#include "../../include/plugininterface.h"

namespace HelpCommands
{
	class help : public CommandInterface
	{
	private:
		CoreInterface* _core;
	public:
		help(CoreInterface* core);
		virtual QString description();
		virtual QStringList syntax();
		virtual QStringList helpText();
		virtual void go(QString to, QString from, bool pm, QString params);
	};

	class about : public CommandInterface
	{
	private:
		CoreInterface* _core;
	public:
		about(CoreInterface* core);
		virtual QString description();
		virtual void go(QString to, QString from, bool pm, QString params);
	};
};
#endif
