#include "../parrotcommands.h"

namespace ParrotCommands
{
	raw::raw(CoreInterface* core)
	{
		_core = core;
	}
	
	QString raw::description()
	{
		return "Sends a raw message to the server";
	}
	
	QStringList raw::syntax()
	{
		return QStringList("<command>");
	}
	
	QStringList raw::helpText()
	{
		return QStringList("Sends the given command directly to the server, with no additional parsing (excluding filter plugins).");
	}
	
	void raw::go(QString to, QString from, bool pm, QString params)
	{
		_core->sendRaw(params);
	}
};
