#include "../parrotcommands.h"

namespace ParrotCommands
{
	reply::reply(CoreInterface* core)
	{
		_core = core;
	}
	
	QString reply::description()
	{
		return "Sends a message to the current window";
	}
	
	QStringList reply::syntax()
	{
		return QStringList("<message>");
	}
	
	QStringList reply::helpText()
	{
		return QStringList("Sends a message to the requests' source."); 
	}
	
	void reply::go(QString to, QString from, bool pm, QString params)
	{
		pm
			? _core->sendMessage(from, params)
			: _core->sendMessage(to, params);
	}
};
