#include "../../include/commandinterface.h"
#include "../../include/coreinterface.h"

#include <QString>
#include <QStringList>

namespace ParrotCommands
{
	class raw : public CommandInterface
	{
	private:
		CoreInterface* _core;
	public:
		raw(CoreInterface* core);
		virtual QString description();
		virtual QStringList syntax();
		virtual QStringList helpText();
		virtual void go(QString to, QString from, bool pm, QString params);
	};
	
	class reply : public CommandInterface
	{
	private:
		CoreInterface* _core;
	public:
		reply(CoreInterface* core);
		virtual QString description();
		virtual QStringList syntax();
		virtual QStringList helpText();
		virtual void go(QString to, QString from, bool pm, QString params);
	};
	
	class say : public CommandInterface
	{
	private:
		CoreInterface* _core;
	public:
		say(CoreInterface* core);
		virtual QString description();
		virtual QStringList syntax();
		virtual QStringList helpText();
		virtual void go(QString to, QString from, bool pm, QString params);
	};

	class doAction: public CommandInterface
	{
	private:
		CoreInterface* _core;
	public:
		doAction(CoreInterface* core);
		virtual QString description();
		virtual QStringList syntax();
		virtual QStringList helpText();
		virtual void go(QString to, QString from, bool pm, QString params);
	};
};
