#include "../pluginloadercommands.h"

namespace PluginLoaderCommands
{
	unload::unload(CoreInterface* core)
	{
		_core = core;
	}
	
	QString unload::description()
	{
		return "Unloads a plugin";
	}
	
	QStringList unload::syntax()
	{
		return QStringList("<plugin>");
	}
	
	QStringList unload::helpText()
	{
		return QStringList("This command will unload the specified plugin.");
	}
	
	void unload::go(QString to, QString from, bool pm, QString params)
	{
		CHECK_PLUGIN;
		if ( !_core->unloadPlugin(params) ) handleError("unload", params);
		else handleSuccess("unload", params);
	}
};
