#include "../quotescommands.h"

namespace QuotesCommands
{
	_action::_action(CoreInterface* core, QHash<QString,QStringList>* log)
	{
		_core = core;
		_log = log;
	}

	void _action::go(QString to, QString from, bool pm, QString params)
	{
		if ( ! pm )
		{
			int logLength = getConfig(_core, "logLength").toInt();
			if ( logLength == 0 ) return;
			if ( (*_log)[to.toLower()].count() == logLength ) (*_log)[to.toLower()].removeLast();
			(*_log)[to.toLower()].prepend(QString("*%1 %2").arg(from).arg(params));
		}
	}
};
