#ifndef _QUOTE_H
#define _QUOTE_H

#include <QString>
#include <QStringList>

class Quote
{
public:
	Quote(){ _quoteScore = 0; };
	QString quotedBy(){ return _quotedBy; };
	QStringList quoted(){ return _quoted; };
	QStringList quoteLines(){ return _quoteLines; };
	QString quoteTime(){ return _quoteTime; };
	int quoteScore(){ return _quoteScore; };

	void setQuotedBy(QString nick){ _quotedBy = nick; };
	void addQuotedNick(QString nick){ _quoted.append(nick); };
	void addLine(QString line){ _quoteLines.append(line); };
	void setTime(QString time){ _quoteTime = time; };
	void setScore(int score){ _quoteScore = score; };
	void incrementScore(){ _quoteScore++; };
	void decrementScore(){ _quoteScore--; };
private:
	QString _quotedBy;
	QStringList _quoted;
	QStringList _quoteLines;
	QString _quoteTime;
	int _quoteScore;
};

#endif
