#ifndef _QUOTES_H
#define _QUOTES_H

#include "quote.h"
#include "../../include/coreinterface.h"
#include "../../include/plugininterface.h"

#include <QString>

class Quotes : public PluginInterface
{
public:
	Quotes(CoreInterface* core);
	virtual ~Quotes(); // delete the contents of _quotes
	virtual QString title();
	virtual QString description();
	virtual QStringList helpText();
private:
	QString getConfig(QString key, QString defaultValue = "");
	CoreInterface* _core;
	QHash<QString, QStringList> _log; // _log[channel] is QStringList log
	unsigned int _highestQuote;
	Quote* _lastQuote;
	QHash<unsigned int, Quote*> _quotes;
};

#endif
