#include "../tellscommands.h"

namespace TellsCommands
{
	_userLeave::_userLeave(CoreInterface* core, QStringList* notifiedNicks)
	{
		_core = core;
		_notifiedNicks = notifiedNicks;
	}
	
	void _userLeave::go(QString to, QString from, bool pm, QString params)
	{
		params.replace(QRegExp("^([^!]+)!.+$"), "\1");
		if ( _notifiedNicks->contains(params.toLower()) )
			_notifiedNicks->removeAt(_notifiedNicks->indexOf(params.toLower()));
	}
};
